Bug 268671 - C++14: IDE parser fails on "Variable templates"
C++14: IDE parser fails on "Variable templates"
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Code Model
Dev
PC Solaris
: P2 (vote)
: 8.2
Assigned To: petrk
issues@cnd
CR_24942693, 82patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-10-25 07:28 UTC by Alexander Simon
Modified: 2016-12-13 02:35 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Simon 2016-10-25 07:28:19 UTC
Code example:
=========8<=====================
#include <iostream>

using namespace std;

template<typename T>
constexpr T pi = T(3.14);

template<>
constexpr const int pi<int> = 5;

int main() {
  cout << pi<float> << endl;
  cout << pi<int> << endl;
  return 0;
} 
=========8<=====================
See '>' in Navigator and 3 unresolved identifiers in editor.
Comment 2 Quality Engineering 2016-12-08 02:36:30 UTC
Integrated into 'main-silver', will be available in build *201612080001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/50212f181f12
User: Petr Kudryavtsev <petrk@netbeans.org>
Log: Fixing #268671 - C++14: IDE parser fails on "Variable templates"
-- clean up: replaced all tabs with spaces in grammar
(transplanted from e25705e345d359b56de311f0152825557c71f5a6)
Comment 3 Quality Engineering 2016-12-09 02:40:40 UTC
Integrated into 'main-silver', will be available in build *201612090001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/c32c807df46f
User: Petr Kudryavtsev <petrk@netbeans.org>
Log: Fixing #268671 - C++14: IDE parser fails on "Variable templates"
-- added cpp14 filter for APT lexer
(transplanted from a1ddada5be080c5e3bb74e408d3578375a62205b)
Comment 4 Quality Engineering 2016-12-10 02:59:10 UTC
Integrated into 'main-silver', will be available in build *201612100001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/2e45bb0fea9b
User: Petr Kudryavtsev <petrk@netbeans.org>
Log: Fixing #268671 - C++14: IDE parser fails on "Variable templates"
-- fixed potential problem when passed AST is incorrect
(transplanted from ed5b40dc9ec548c660b8988bb9fddb6c34ad5319)
Comment 5 Quality Engineering 2016-12-11 02:35:22 UTC
Integrated into 'main-silver', will be available in build *201612110001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/9331947d292a
User: Petr Kudryavtsev <petrk@netbeans.org>
Log: Fixing #268671 - C++14: IDE parser fails on "Variable templates"
-- fixed navigation to context class
(transplanted from d0078b27348a26b99b96523aa23b05889f193c8a)
Comment 6 soldatov 2016-12-12 10:34:52 UTC
Verified in internal NetBeans 8,2 patch 1 build.
Comment 7 Quality Engineering 2016-12-13 02:35:14 UTC
Integrated into 'main-silver', will be available in build *201612130001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/60a53852e763
User: Petr Kudryavtsev <petrk@netbeans.org>
Log: Fixing #268671 - C++14: IDE parser fails on "Variable templates"
-- added deduction of return type of C++14 functions
(transplanted from 42293be356a338527091144d3be499d4acf10df3)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo